Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class StreetName

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.StreetName

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class StreetName

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Street Name', and utility methods for working with them. specDomain: V10648 (C-0-D10642-V14822-V10648-cpt)

See Also:
  `CDAR2Package.getStreetName()`

Field Summary
`static int` | `STB` The 'STB' literal value.
`static StreetName` | `STB_LITERAL` The 'STB' literal object.
`static int` | `STR` The 'STR' literal value.
`static StreetName` | `STR_LITERAL` The 'STR' literal object.
`static int` | `STTYP` The 'STTYP' literal value.
`static StreetName` | `STTYP_LITERAL` The 'STTYP' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Street Name' enumerators.

Method Summary
`static StreetName` | `get(int value)` Returns the 'Street Name' literal with the specified integer value.
`static StreetName` | `get(java.lang.String literal)` Returns the 'Street Name' literal with the specified literal value.
`static StreetName` | `getByName(java.lang.String name)` Returns the 'Street Name' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STR

    public static final int STR

  The 'STR' literal value.

  If the meaning of 'STR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STR_LITERAL`, Constant Field Values

### STB

    public static final int STB

  The 'STB' literal value.

  If the meaning of 'STB' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STB_LITERAL`, Constant Field Values

### STTYP

    public static final int STTYP

  The 'STTYP' literal value.

  If the meaning of 'STTYP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STTYP_LITERAL`, Constant Field Values

### STR_LITERAL

    public static final StreetName STR_LITERAL

  The 'STR' literal object.

  See Also:
    `STR`

### STB_LITERAL

    public static final StreetName STB_LITERAL

  The 'STB' literal object.

  See Also:
    `STB`

### STTYP_LITERAL

    public static final StreetName STTYP_LITERAL

  The 'STTYP' literal object.

  See Also:
    `STTYP`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Street Name' enumerators.

Method Detail

### get

    public static StreetName get(java.lang.String literal)

  Returns the 'Street Name' literal with the specified literal value.

### getByName

    public static StreetName getByName(java.lang.String name)

  Returns the 'Street Name' literal with the specified name.

### get

    public static StreetName get(int value)

  Returns the 'Street Name' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD